"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReadRequest = void 0;
const createDeferredPromise_1 = require("./utils/createDeferredPromise");
class ReadRequest {
    state;
    constructor() {
        this.state = (0, createDeferredPromise_1.createDeferredPromise)();
    }
    get promise() {
        return this.state.promise;
    }
    chunk(value) {
        this.state.resolve({
            value,
            done: false,
        });
    }
    close() {
        this.state.resolve({
            value: undefined,
            done: true,
        });
    }
    error(error) {
        this.state.reject(error);
    }
}
exports.ReadRequest = ReadRequest;
//# sourceMappingURL=ReadRequest.js.map