import { ReadableStream } from './ReadableStream';
import { ReadRequest, ReadRequestPayload } from './ReadRequest';
export declare class ReadableStreamReader<Data> {
    private stream;
    readRequests: ReadRequest<Data>[];
    constructor(stream: ReadableStream<Data>);
    read(): Promise<ReadRequestPayload<Data>>;
    /** @see https://github.com/nodejs/node/blob/561f7fe941929d6c10b82b8250c04afb0693e4f3/lib/internal/webstreams/readablestream.js#L1533 */
    cancel(reason?: string): Promise<unknown>;
    /** @see https://github.com/nodejs/node/blob/561f7fe941929d6c10b82b8250c04afb0693e4f3/lib/internal/webstreams/readablestream.js#L1718 */
    releaseLock(): void;
}
